Sign in to follow this  
AlexMD11

Level-D 767 in p3d v2

Recommended Posts

Hi all,

 

With the PMDG stuff not supported and my preference for flying Boeing planes, I looked into installing my old Level-D 767 which I used extensively in fsx before the NGX came along. The compatibility list in this forum states that the Level-D 767 should work in p3d. However, all knobs on the MCP are black and don't work. The PFD does seem to work though. Anyone here who knows the correct procedure for installing? I used the migration tool.

Any help is much appreciated :)

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

I don't have the LDS but a good friend has and he has installed in P3d2.2 using the latest version of the migrator tool, he has been flying it for the past month with no issues.

Share this post


Link to post

What fix gents?

 

You don't need a fix because it works.

 

I installed the LDS 767 in P3d v2.2 (and v1.4 and v21.) when it came out and have used it with only a few issues..one is don't answer the cabin call on the overhead or its a CTD. Other than that no issues.

 

Ive even installed the updated VC textures and am using the winglet version.

 

Make sure you run Migrator tool and thats about it from memory

 

It works beautifully.

 

I am not updating to P3d V2.3 as yet until FSUIP and Migrator tool are updated. Once that happens Ill update to v2.3 and let you know how the 767 goes but I expect no issues.

Share this post


Link to post

I've uninstalled the Level D 3 times and re-installed it having to get a new re-install key from flight1 every time (which is extremely annoying btw). And each time with the EMT and still the aircraft loads, engines running, but nothing on the mcp works and all the buttons are black. Ontop of all of this I don't have access to the level-d menu to select my aircraft state load.

 

Any ideas why this is happening?

 

ps Also it's not getting the load from the 767 load config manager, so I can't even load up my zfw and fuel that I want...

Share this post


Link to post

Are you installing using the migrator tool?

 

Are you running in legacy or native p3d mode?

 

Do you have registered copy of FSUIPC?

 

Do you re install FSUIPC after loading the aircraft?

 

Do you reboot after installation of LDS?

 

Not sure why you need to get a fresh key for each reinstall.

 

What version LDS are you using (2a?)

 

Try downloading a fresh file from wherever you purchased the LDS7667 and then when you get to the payment  go for reinstall. Thats what I did and no problems.

 

BTW I think its a requirement to sign your name to your posts..just in case you get pinged by an admin..

Share this post


Link to post

Yea I'm using the migratory tool, and I have a registered copy of fsuipc. Only thing I didn't try is rebooting after installing the level d, and I don't know how to select legacy mode or the other mode, where is that selection?

 

As well as should the migratory tool be on fsx mode while I use the add on, or do I turn it off after the install and run the add on?

 

What do you mean signing my name, where??

Share this post


Link to post

Level d 763 works great for me in 2.2 and the latest 2.3 build.

 

I didnt need to run it in legacy mode. Can u upload a screenshot for us of what u see? Hadord

Share this post


Link to post

Yea I'm using the migratory tool, and I have a registered copy of fsuipc. Only thing I didn't try is rebooting after installing the level d, and I don't know how to select legacy mode or the other mode, where is that selection?

 

As well as should the migratory tool be on fsx mode while I use the add on, or do I turn it off after the install and run the add on?

 

What do you mean signing my name, where??

 

Is it the latest current version of the migration tool for V2.2?

Share this post


Link to post

hwwwoo.png

 

Notice MCP is blacked out none of the buttons are not clickable, and the 2D panel doesn't come up either. 

Share this post


Link to post

 

 


With the PMDG stuff not supported and my preference for flying Boeing planes
The iFly 737 NG SP 3.2.1 is a much better aircraft add-on than the Level D and with all it's updates, even if the NGX came to P3D today, I would probably not get it as a replacement. The iFly is that good, some textures aside. I can't get the Level D working properly either, gave up on it about a year ago.

Share this post


Link to post

Seems to work for everyone else, so there must be something wrong with either the migartor tool, or some step we're missing. Or maybe we just got a lemon of an aircraft from Boeing ;)

Share this post


Link to post

I haven't tried the LDS B763 in P3D, but did in FSX after changing to a Win 8.0 (now 8.1) PC, and found at the time that there was an issue with the new OS (Win 8.x). I'm not sure why the LDS is so affected by the OS, other than it was made in a Windows XP era.. this could be some of the issues that some are seeing??

 

I tried on the LDS forum when on FSX after changing to Win 8 (now some years ago) but the customer service wasn't that sympathetic .....

 

Thanks, Bruce.

Share this post


Link to post

Well YorgosGK has the same OS I do, and his Level D works fine, so that's odd, although there may be a service pack or something I may be missing or maybe LD doesn't like? 

Share this post


Link to post

You have the latest build if you downloaded it from Flight1.

 

The migrator tool from Estonia just updated...try to install it with that. Also, run all your installs as an administrator, and get the visual studios that level D requirers below...

 

Get the Visual Studio C++ SP1 Runtime Files here:
http://www.flight1software.com/files/vcredist_x86.exe

 

Also the level D requires you have this font on your system:

Arial Narrow http://www.searchfreefonts.com/font/arial-narrow.htm and Lucida Console.

 

Report back after you try again!

Share this post


Link to post

I keep getting the dreaded 'panel initialization error', I installed using a dummy fsx location into Prepar3D v2.3. Everything installed into correct folders. The dll.xml file was added to  Lockheed AppData folder, I just can't get it to run

Share this post


Link to post

Just for the record the leveld763 works almost 100 per cent on prepar3d v 2.3.All I did was to use the migration tool.When I first tried to run it I did get a ctd but on a second reboot it runs fine.The only problem I have is that I have to reset the FMC before taxiing to runway.The fmc doesn't seem to hold all the information after pushback and start up of engines.BTW the exe Im running is LD763-FSX-With-SP2a.exe

Share this post


Link to post

Mine worked fine...My panel initialization error was fixed by re-installing FSUIPC....It was weird but it did the trick

Share this post


Link to post

It might be that the DLL.XML is not added properly on the APPDATA/ROAMING/LOCKHEED MARTIN folder Do you have the LEVEL MENU in the ADDONS menu when running P3D

Share this post


Link to post

It might be that the DLL.XML is not added properly on the APPDATA/ROAMING/LOCKHEED MARTIN folder Do you have the LEVEL MENU in the ADDONS menu when running P3D

Yes,  All the Level D aircraft are shown, I've edited the dll.xml file in the Lockheed App data, I have a virtual clone of the FSX into Prepar3D. I used a free tool called Simswitch from tweakfs.com to install. This fools the FSX installer into installing into Prepar3D V2.3 (or 1.4), so all the files are installed correctly into their correct folders and the registry is set to the correct path. I'll have one last attempt and try re-installing FSUIPC as suggested by yorgosCK. Thanks for everyone's suggestions

 

Share this post


Link to post

I got the level d with sp2 to install fine, but I installed the winglet model later and it crashes after selecting the aircraft. Had to uninstall.

Share this post


Link to post

I tried also the LevelD and P3D crashes each time I want to fly with it. Should I try something, perhaps uninstall the winglet addon???

 

Thank's for answers

Yves

Share this post


Link to post

That fixed it for me Ives. Non winglet model works for me in p3dv2

Share this post


Link to post

Had trouble with the clickspots on the MC initially.I reinstalled and ran in legacy mode.Although the sim crashed a few times,I can now run the aircraft normally without legacy mode.

Share this post


Link to post
Guest
This topic is now closed to further replies.
Sign in to follow this